Summary: Kaname-cho font, revised version
Name: knm_new
Version: 1.1
Release: 4p
Copyright: GPL
Group: User Interface/X
Source: http://www.din.or.jp/~storm/fonts/%{name}.tar.gz
Source1: ftp://ftp.freebsd.org/pub/FreeBSD/ports/distfiles/kaname_k12_bdf.tar.gz
URL: http://www.din.or.jp/~storm/fonts/
BuildArch: noarch
Obsoletes: kaname.f12
BuildRoot: /var/tmp/%{name}-%{version}-root
Summary(ja): ĮեȲ¤
Prereq: /usr/X11R6/bin/mkfontdir

%description
Kaname-cho font, revised version

%description -l ja
ĮեȲ¤

%prep
%setup -q -n %{name}-%{version} -c -a 1

%install
rm -fr ${RPM_BUILD_ROOT}
FONTSDIR=${RPM_BUILD_ROOT}/usr/X11R6/lib/X11/fonts/misc
mkdir -p ${FONTSDIR}
bdftopcf       knmhn12x.bdf		>${FONTSDIR}/knmhn12x.pcf
bdftopcf fonts/kaname-latin1.bdf	>${FONTSDIR}/kaname-latin1.pcf
bdftopcf fonts/knm12p.bdf		>${FONTSDIR}/knm12p.pcf
bdftopcf fonts/knm12pb.bdf		>${FONTSDIR}/knm12pb.pcf
bdftopcf fonts/knmzn12x.bdf		>${FONTSDIR}/knmzn12x.pcf
bdftopcf fonts/knmzn12xb.bdf		>${FONTSDIR}/knmzn12xb.pcf
gzip -9 ${FONTSDIR}/*.pcf
chmod 0444 ${FONTSDIR}/*.pcf.gz

%clean
rm -fr ${RPM_BUILD_ROOT}

%post
if [ -d /usr/X11R6/lib/X11/fonts/misc ]; then
	cd /usr/X11R6/lib/X11/fonts/misc
	/usr/X11R6/bin/mkfontdir
fi
#if [ ! -z "$DISPLAY" ]; then
#	/usr/X11R6/bin/xset fp rehash
#fi

%postun
if [ "$1" = "0" ]; then
	if [ -d /usr/X11R6/lib/X11/fonts/misc ]; then
		cd /usr/X11R6/lib/X11/fonts/misc
		/usr/X11R6/bin/mkfontdir
	fi
#	if [ ! -z "$DISPLAY" ]; then
#		/usr/X11R6/bin/xset fp rehash
#	fi
fi

%files
%defattr(-,root,root)
%doc doc.orig readme.kaname_bdf
%doc fonts/{changes,gtkrc.sample,readme}
/usr/X11R6/lib/X11/fonts/misc/*

%changelog
* Sun Jan 21 2001 Matt Wilson <msw@redhat.com>
- add Prereq: /usr/X11R6/bin/mkfontdir

* Fri Sep  1 2000 ISHIKAWA Mutsumi <ishikawa@redhat.com>
- rebuilt with rpm-4.0

* Fri Mar 24 2000 Chris Ding <cding@redhat.com>
- stopped executing xset

* Sat Mar 14 2000 Chris Ding <cding@redhat.com>
- rebuilt for 6.2J

* Tue Feb 01 2000 Atsushi Yamagata <yamagata@plathome.co.jp>
- updated to revised version of kaname.f12
- changed Name: kaname.f12 -> knm_new
- modified scripts at %post and %postun

* Wed Jan 05 2000 Atsushi Yamagata <yamagata@plathome.co.jp>
- changed Group: Extensions/Japanese -> User Interface/X
- added script for font path at %post and %postun

* Tue Aug 24 1999 Atsushi Yamagata <yamagata@plathome.co.jp>
- built against RHL-6.0/i386

* Sat Nov 01 1997 Atsushi Yamagata <yamagata@jwu.ac.jp>
- 1st release
